A library for Dart developers to connect their flutter app to Comunia.io Platform.

  

Created from templates made available by Stagehand under a BSD-style

[license](https://github.com/dart-lang/stagehand/blob/master/LICENSE).

  

## Usage

  

### Installing the package

Run

    pub get comunia-sdk

### Connecting to Comunia platform

You need to obtain a API key from comunia platform to start using this package. So first go to [Comunia Website](https://comunia.io) and register for account and create a new App where you can find your API Key.

To initialize the ComuniaClient you need below paramters.

 - URL : https://sandbox-api.comunia.io
 - API_KEY : Your api key
 - USER_ID : Your user id (any valid string without special characters)

And finally,

    import  'package:cpass_flutter_sdk/cpass_flutter_sdk.dart';
    
    ComuniaClient client1 =  ComuniaClient(URL, API_KEY,  USER_ID);


### Sending a message to another user.