import 'dart:io';

import 'package:cpass_flutter_sdk/src/comuia_client.dart';
import 'config.dart' as config;

void main() {
  var user1 = 'dart1';
  var user2 = 'dart2';
  var message = 'hello world';
  var client1 = ComuniaClient(config.URL, config.API_KEY, user1);
  client1.init().then((value) {
    print('client 1 initialized');
    client1.onNewMessage.listen((msg) {
      print('client 1 got the message');
      print(msg);
    });

    var client2 = ComuniaClient(config.URL, config.API_KEY, user2);
    client2.init().then((value) {
      print('client 2 initialized');
    
      client2.sendNewMessage(user1, message);
    });    
  });  
}